=== debian/control ===
Source: kig
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libboost-python-dev (>= 1.71~),
               libcups2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Git: https://invent.kde.org/neon/kde/kig.git
Vcs-Browser: https://invent.kde.org/neon/kde/kig
Maintainer: Neon CI <neon@kde.org>

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.
