## kig 25.08.1+p24.04+vstable+git20250921.0551

=== debian/changelog ===
kig (4:25.08.1+p24.04+vstable+git20250921.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 05:51:41 +0000
