## kig 25.08.1+p24.04+vstable+git20251001.0041

=== debian/changelog ===
kig (4:25.08.1+p24.04+vstable+git20251001.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:41:42 +0000
