=== icons/CMakeLists.txt ===

ecm_install_icons(ICONS
  32-actions-square.png
  22-actions-intersection.png
  22-actions-centerofcurvature.png
  22-actions-rbezier4.png
  sc-actions-conicasymptotes.svgz
  22-actions-point.png
  32-actions-coniclineintersection.png
  32-actions-translation.png
  32-actions-tangent.png
  sc-actions-conicb5p.svgz
  22-actions-rbezier3.png
  sc-actions-square.svgz
  sc-actions-bisection.svgz
  32-actions-perpendicular.png
  22-actions-perpendicular.png
  32-actions-circlebps.png
  sc-actions-segment_midpoint.svgz
  sc-actions-segment_golden_point.svgz
  32-actions-genericaffinity.png
  sc-actions-bezier4.svgz
  32-actions-ellipsebffp.png
  22-actions-convexhull.png
  sc-actions-circlelineintersection.svgz
  32-actions-inversion.png
  sc-actions-equilateralhyperbolab4p.svgz
  sc-actions-bezier3.svgz
  16-actions-kig_xfig.png
  32-actions-directrix.png
  sc-actions-distance.svgz
  22-actions-similitude.png
  22-actions-bezierN.png
  32-actions-rbezier4.png
  22-actions-inversion.png
  22-actions-distance.png
  32-actions-rotation.png
  32-actions-segmentaxis.png
  sc-actions-paint.svgz
  22-actions-bisection.png
  32-actions-hexagonbcv.png
  sc-actions-sizer.svgz
  32-actions-curvelineintersection.png
  32-actions-convexhull.png
  sc-actions-centerofcurvature.svgz
  sc-actions-inversion.svgz
  32-actions-locus.png
  32-actions-areaCircle.png
  sc-actions-harmonichomology.svgz
  22-actions-kig_polygon.png
  22-actions-vectordifference.png
  sc-actions-rbezier3.svgz
  22-actions-hexagonbcv.png
  32-actions-kig_polygon.png
  32-actions-triangle.png
  32-actions-rbezierN.png
  sc-actions-hyperbolabffp.svgz
  32-actions-pointOnLine.png
  22-actions-line.png
  22-actions-segment.png
  22-actions-circlelineintersection.png
  22-actions-circlebpd.png
  32-actions-bezier4.png
  32-actions-bisection.png
  sc-actions-curvelineintersection.svgz
  32-actions-vector.png
  22-actions-vector.png
  32-actions-stretch.png
  22-actions-vectorsum.png
  22-actions-arc_center.png
  22-actions-arc.png
  22-actions-view_fit_to_page.png
  sc-actions-parallel.svgz
  32-actions-python.png
  sc-actions-circlebcp.svgz
  22-actions-polygonvertices.png
  sc-actions-perpendicular.svgz
  sc-actions-line.svgz
  32-actions-parallel.png
  32-actions-arc.png
  32-actions-openpolygon.png
  22-actions-segmentaxis.png
  sc-actions-tangent.svgz
  32-actions-testcollinear.png
  sc-actions-test.svgz
  32-actions-kig_numericvalue.png
  32-actions-attacher.png
  sc-actions-baseCircle.svgz
  32-actions-w.png
  22-actions-angle_bisector.png
  32-actions-equitriangle.png
  22-actions-attacher.png
  sc-actions-attacher.svgz
  32-actions-genericprojectivity.png
  32-actions-circlebcl.png
  sc-actions-rbezierN.svgz
  sc-actions-testdistance.svgz
  22-actions-harmonichomology.png
  32-actions-conicasymptotes.png
  22-actions-coniclineintersection.png
  22-actions-slope.png
  sc-actions-testorthogonal.svgz
  32-actions-angle_bisector.png
  22-actions-circlebcl.png
  32-actions-arc_center.png
  22-actions-controlpolygon.png
  sc-actions-hexagonbcv.svgz
  sc-actions-segmentaxis.svgz
  32-actions-parabolabtp.png
  sc-actions-vectordifference.svgz
  sc-actions-areaCircle.svgz
  22-actions-baseCircle.png
  32-actions-linebyvector.png
  22-actions-sizer.png
  22-actions-bezier3.png
  sc-actions-conicsradicalline.svgz
  22-actions-square.png
  22-actions-genericaffinity.png
  32-actions-testcontains.png
  22-actions-segment_midpoint.png
  22-actions-segment_golden_point.png
  32-actions-kig_text.png
  22-actions-conicasymptotes.png
  22-actions-directrix.png
  sc-actions-circlebpd.svgz
  22-actions-locus.png
  22-actions-ray.png
  sc-actions-polygonsides.svgz
  22-actions-w.png
  22-actions-circumference.png
  sc-actions-centralsymmetry.svgz
  32-actions-bezierN.png
  32-actions-circumference.png
  32-actions-point.png
  22-actions-equilateralhyperbolab4p.png
  32-actions-paint.png
  sc-actions-directrix.svgz
  22-actions-python.png
  22-actions-testdistance.png
  22-actions-conicsradicalline.png
  32-actions-halflinebyvector.png
  22-actions-areaCircle.png
  sc-actions-kig_numericvalue.svgz
  sc-actions-halflinebyvector.svgz
  22-actions-paint.png
  22-actions-bezier4.png
  32-actions-projection.png
  22-actions-triangle.png
  22-actions-openpolygon.png
  32-actions-rbezier3.png
  22-actions-parallel.png
  sc-actions-parabolabtp.svgz
  22-actions-testparallel.png
  22-actions-polygonsides.png
  32-actions-circlebtp.png
  sc-actions-genericprojectivity.svgz
  32-actions-scale.png
  32-actions-beziercurves.png
  32-actions-vectordifference.png
  sc-actions-python.svgz
  22-actions-pointOnLine.png
  sc-actions-equitriangle.svgz
  22-actions-angle.png
  32-actions-hyperbolabffp.png
  22-actions-pointxy.png
  32-actions-polygonvertices.png
  22-actions-hyperbolabffp.png
  32-actions-controlpolygon.png
  32-actions-slope.png
  sc-actions-linebyvector.svgz
  sc-actions-arc.svgz
  sc-actions-ray.svgz
  22-actions-beziercurves.png
  22-actions-testcontains.png
  22-actions-ellipsebffp.png
  22-actions-stretch.png
  sc-actions-scale.svgz
  sc-actions-intersection.svgz
  22-actions-kig_text.png
  sc-actions-point.svgz
  sc-actions-similitude.svgz
  sc-actions-vector.svgz
  sc-actions-coniclineintersection.svgz
  22-actions-translation.png
  32-actions-bezier3.png
  22-actions-radicalline.png
  32-actions-vectorsum.png
  32-actions-centerofcurvature.png
  sc-actions-openpolygon.svgz
  sc-actions-circlebcl.svgz
  22-actions-rbezierN.png
  32-actions-polygonsides.png
  sc-actions-locus.svgz
  22-actions-tangent.png
  32-actions-sizer.png
  32-actions-harmonichomology.png
  22-actions-testcollinear.png
  22-actions-en.png
  32-actions-conicb5p.png
  32-actions-distance.png
  22-actions-circlebtp.png
  22-actions-kig_numericvalue.png
  sc-actions-vectorsum.svgz
  32-actions-line.png
  32-actions-testdistance.png
  sc-actions-kig_text.svgz
  32-actions-angle.png
  sc-actions-angle.svgz
  sc-actions-controlpolygon.svgz
  22-actions-parabolabtp.png
  sc-actions-w.svgz
  22-actions-test.png
  22-actions-curvelineintersection.png
  32-actions-test.png
  22-actions-equitriangle.png
  32-actions-mirrorpoint.png
  32-actions-centralsymmetry.png
  sc-actions-mirrorpoint.svgz
  sc-actions-triangle.svgz
  sc-actions-genericaffinity.svgz
  sc-actions-segment.svgz
  sc-actions-bezierN.svgz
  sc-actions-radicalline.svgz
  32-actions-segment_midpoint.png
  32-actions-segment_golden_point.png
  sc-actions-slope.svgz
  32-actions-ray.png
  22-actions-projection.png
  32-actions-testparallel.png
  sc-actions-translation.svgz
  sc-actions-pointxy.svgz
  22-actions-circlebcp.png
  32-actions-segment.png
  sc-actions-convexhull.svgz
  sc-actions-testcontains.svgz
  sc-actions-en.svgz
  sc-actions-arc_center.svgz
  22-actions-genericprojectivity.png
  22-actions-testorthogonal.png
  22-actions-rotation.png
  sc-actions-pointOnLine.svgz
  sc-actions-beziercurves.svgz
  32-actions-pointxy.png
  22-actions-mirrorpoint.png
  32-actions-equilateralhyperbolab4p.png
  sc-actions-kig_polygon.svgz
  32-actions-en.png
  22-actions-scale.png
  32-actions-angle_size.png
  32-actions-testorthogonal.png
  22-actions-centralsymmetry.png
  32-actions-baseCircle.png
  sc-actions-angle_size.svgz
  sc-actions-circlebtp.svgz
  32-actions-circlelineintersection.png
  32-actions-circlebcp.png
  22-actions-angle_size.png
  22-actions-linebyvector.png
  sc-actions-rotation.svgz
  22-actions-conicb5p.png
  32-actions-intersection.png
  sc-actions-circlebps.svgz
  32-actions-conicsradicalline.png
  sc-actions-testparallel.svgz
  sc-actions-stretch.svgz
  22-actions-circlebps.png
  32-actions-similitude.png
  sc-actions-projection.svgz
  sc-actions-circumference.svgz
  sc-actions-ellipsebffp.svgz
  sc-actions-angle_bisector.svgz
  sc-actions-polygonvertices.svgz
  32-actions-radicalline.png
  22-actions-halflinebyvector.png
  sc-actions-rbezier4.svgz
  32-actions-circlebpd.png
  sc-actions-testcollinear.svgz
  DESTINATION ${KDE_INSTALL_DATADIR}/kig/icons
  THEME hicolor
)
