=== kig/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   main.cpp
   kig.cpp
   kig.h
-
   kig.qrc
 )
 
@@ -16,7 +15,7 @@
 ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
 add_executable(kig ${kig_SRCS})
 
-target_link_libraries(kig KF5::Parts KF5::ConfigCore KF5::Crash)
+target_link_libraries(kig KF6::Parts KF6::ConfigCore KF6::Crash KF6::I18n)
 
 install(TARGETS kig ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -28,7 +27,7 @@
         MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
         MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
         MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kig"
-        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Kig Developers")
+        MACOSX_BUNDLE_COPYRIGHT "2002-2025 The Kig Developers")
 
 endif()
