=== debian/changelog ===
kig (4:25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Oct 2025 09:17:28 +0100

kig (4:25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.2).
  * Build with Qt6, update build-deps and deps with the info from cmake.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 Oct 2025 00:01:37 +0200
