=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf6archive-dev (>= 6.13.0~),
               libkf6configwidgets-dev (>= 6.13.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6crash-dev (>= 6.13.0~),
               libkf6i18n-dev (>= 6.13.0~),
               libkf6iconthemes-dev (>= 6.13.0~),
               libkf6parts-dev (>= 6.13.0~),
               libkf6texteditor-dev (>= 6.13.0~),
               libkf6xmlgui-dev (>= 6.13.0~),
               pkg-kde-tools (>> 0.15.15),
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-svg-dev,
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.
