## kig 25.08.2+p24.04+vstable+git20251011.2125

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251011.2125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 21:26:02 +0000

kig (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:02:08 +0000
