## kig 25.08.2+p24.04+vstable+git20251031.0719

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251031.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:19:37 +0000
