## kig 25.08.3

=== doc/CMakeLists.txt ===
########### install files ###############
#

#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kig)
kdoctools_create_manpage(man-kig.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
