=== debian/changelog ===
kig (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:14:49 +0000

kig (4:25.08.2-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Oct 2025 13:41:51 +0000

kig (4:25.08.2-2) unstable; urgency=medium

  * Team upload.
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically
    - drop the dh-python, and pkg-kde-tools build dependencies, no more
      explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 6.4.2
    - add libkf6doctools-dev, needed for the documentation
    - drop kinit-dev, which is KF5

 -- Pino Toscano <pino@debian.org>  Thu, 30 Oct 2025 06:37:36 +0100
