=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-python3,
                extra-cmake-modules (>= 6.13.0~),
                gettext,
-               kinit-dev,
                libboost-python-dev (>= 1.71~),
                libkf6archive-dev (>= 6.13.0~),
                libkf6configwidgets-dev (>= 6.13.0~),
                libkf6coreaddons-dev (>= 6.13.0~),
                libkf6crash-dev (>= 6.13.0~),
+               libkf6doctools-dev (>= 6.13.0~),
                libkf6i18n-dev (>= 6.13.0~),
                libkf6iconthemes-dev (>= 6.13.0~),
                libkf6parts-dev (>= 6.13.0~),
                libkf6texteditor-dev (>= 6.13.0~),
                libkf6xmlgui-dev (>= 6.13.0~),
-               pkg-kde-tools (>> 0.15.15),
                pkgconf,
                python3:any,
-               qt6-base-dev,
-               qt6-svg-dev,
+               qt6-base-dev (>= 6.4.2~),
+               qt6-svg-dev (>= 6.4.2~),
 Standards-Version: 4.7.2
 Homepage: https://edu.kde.org/kig
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
