## kig 25.12.0+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kig (4:25.12.0+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:15 +0000
