## kig 25.12.1+p24.04+vstable+git20260127.1030

=== debian/changelog ===
kig (4:25.12.1+p24.04+vstable+git20260127.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:30:19 +0000
