## kig 25.12.1+p24.04+vunstable+git20260130.1433

=== debian/changelog ===
kig (4:25.12.1+p24.04+vunstable+git20260130.1433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:33:21 +0000
